japa.parser.ast.type

## Class ReferenceType

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.type.Type
    - - japa.parser.ast.type.ReferenceType

    public final class ReferenceType
    extends Type

Author:
  Julio Vilmar Gesser

### Field Summary

### Fields inherited from class japa.parser.ast.Node

`ABSOLUTE_BEGIN_LINE, ABSOLUTE_END_LINE`

### Constructor Summary

Constructors
Constructor and Description
`ReferenceType()`
`ReferenceType(int beginLine, int beginColumn, int endLine, int endColumn, Type type, int arrayCount)`
`ReferenceType(Type type)`
`ReferenceType(Type type, int arrayCount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`int` `getArrayCount()`
`Type` `getType()`
`void` `setArrayCount(int arrayCount)`
`void` `setType(Type type)`

### Methods inherited from class japa.parser.ast.Node

`addOrphanComment, contains, equals, getAllContainedComments, getBeginColumn, getBeginLine, getChildrenNodes, getComment, getData, getEndColumn, getEndLine, getOrphanComments, getParentNode, hashCode, isPositionedAfter, isPositionedBefore, setAsParentNodeOf, setAsParentNodeOf, setBeginColumn, setBeginLine, setComment, setData, setEndColumn, setEndLine, setParentNode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReferenceType

    public ReferenceType()

#### ReferenceType

    public ReferenceType(Type type)

#### ReferenceType

    public ReferenceType(Type type,
                         int arrayCount)

#### ReferenceType

    public ReferenceType(int beginLine,
                         int beginColumn,
                         int endLine,
                         int endColumn,
                         Type type,
                         int arrayCount)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                          A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed to the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - the argument passed to the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                           A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getArrayCount

    public int getArrayCount()

#### getType

    public Type getType()

#### setArrayCount

    public void setArrayCount(int arrayCount)

#### setType

    public void setType(Type type)